@charset "UTF-8";

/* Global settings */
* {
	margin				: 0;
	font-size			: 10pt;
	font-family			: Arial;
}
html {
	overflow-y			: scroll;
}
h1 {
	font-size			: 2em;
}

/* Make body have 100% of the browser height */
html, body {
	height				: 100%;
}

#siteLogo{
	margin: 5px 5px 5px 15px;
}

/* Settings for header */
header {
	/*	position			: fixed; */
	position: relative;
	width				: 100%;
	height				: 160px;
	background			: #ffffff;
}


/* Settings for content (body of the page) */
.content {
	padding				: 5px 5px 5px 5px;
	min-height			: 100%;
	box-sizing			: border-box;
	margin				: 0px 16px;
	margin-bottom		: -35px; /* must be the same (but negative) value as .sticky-footer 'height' + 'padding-top' + 'padding-bottom' */
}
.content:after {
	content				: "";
	display				: block;
}

/* Settings for footer */
.sticky-footer, .content:after {
	height				: 35px;
	padding-top			: 10px;
	padding-bottom		: 10px;
}
.sticky-footer {
	background			: #808080;
	color				: white;
	text-align			: center;
}


/* Settings for menu bar */
.alignleft {
	float				: left;
}
.alignright {
	float				: right;
}
ul {
	list-style-type		: none;
	margin				: 0;
	padding				: 0;
	overflow			: hidden;
	background-color	: #808080;
}
.menubar {
	display				: inline-block;
	color				: white;
	text-align			: center;
	padding				: 14px 16px;
	text-decoration		: none;
}
a.menubar:hover {
	background-color	: #EE7202;
	color: white;
	text-decoration: none;
}

/* Set table borders */
table {
	border				: 1px solid black;
	border-collapse		: collapse;
}
td, th {
	border				: 1px solid black;
	padding				: 0.25rem;
}


/* Settings for login form */
.formLabel {
	display				: inline-block;
	width				: 100px;
	margin-bottom		: 5px;
}
.required:after {
	color				: #ff0000;
	content				: '*';
	display				: inline;
	float				: right;
}
form {
	display				: inline-block;
}
input.uppercase {
	text-transform		:uppercase;
}
input.uppercase::placeholder {
	text-transform		: none;
}


/* Layout for on-screen messages */
.info, .success, .warning, .error {
	border				: 1px solid;
	margin				: 10px 0px 0px 2px;
	padding				: 15px 10px 15px 50px;
	background-repeat	: no-repeat;
	background-position	: 10px center;
}
.info {
	color				: #00529B;
	background-color	: #BDE5F8;
	background-image	: url('img/knobs/PNG/Knob Info.png');
	display				: inline-block;
}
.success {
	color				: #4F8A10;
	background-color	: #DFF2BF;
	background-image	:url('img/knobs/PNG/Knob Valid Green.png');
	display				: inline-block;
}
.warning {
	color				: #9F6000;
	background-color	: #FEEFB3;
	background-image	: url('img/knobs/PNG/Knob Attention.png');
	display				: inline-block;
}
.error {
	color				: #D8000C;
	background-color	: #FFBABA;
	background-image	: url('img/knobs/PNG/Knob Cancel.png');
	display				: inline-block;
}

/* Settings for data tables */
.detailsWrapper {
	padding-left		: 25px;
}
.detailsItem {
	display				: inline-block;
	width				: 350px;
}
.analysisTable {
	width				: 100%;
}
.analysisTable tr.header{
	color				: white;
	height				: 40px;
}
.analysisTable thead{
	background-color	: #808080;
}
.analysisTable .analysisHead:hover {
	background-color	: silver;
	cursor				: pointer;
}
.textCentered {
	text-align			:center;
}

/* Page loading */
#loadingContent {
	display				: table;
	margin				: auto;
	font-size			: large;
}
#mainContent {
	display				: none;
}

/* Search box */
.searchBox {
	border				: 1px solid black;
	margin				: 5px 0px;
	padding				: 5px;
	display				: inline-block;
}

.dataExport {
/* 	display				: inline-block; */
}

.expandAll{
/* 	margin				: 0px 0px 0px 5px; */
}

.buttonRow {
	margin				: 0px 0px 0px 5px;
}

/* table column filters */
.filterColumn{
	width				: 100%;
	padding				: 0px;
	box-sizing			: border-box;
	background-color	: #d9d9d9;
}
.flag-icon{
	height: 20px;
	margin-top: 35px;
	margin-right: 1px;
	margin-left: 1px;
}

.test {
	background-color: #575656;
}

fieldset {
	border-width: 2px;
	border-style: groove;
	border-color: threedface;
	margin-inline-start: 2px;
	margin-inline-end: 2px;
	padding-block-start: 0.35em;
	padding-inline-start: 0.75em;
	padding-inline-end: 0.75em;
	padding-block-end: 0.625em;
}

legend {
	width: fit-content;
	width: -moz-fit-content;
}
